# std::this_thread Namespace Reference
[Threads]

ISO C++ 0x entities sub namespace for thread. 30.2.2 Namespace this_thread. More...

## Functions

- thread::id get_id ()
- template<typename _Rep , typename _Period > void sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
- template<typename _Clock , typename _Duration > void sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
- void yield ()

## Detailed Description

ISO C++ 0x entities sub namespace for thread. 30.2.2 Namespace this_thread.

## Function Documentation

thread::id std::this_thread::get_id | ( |  | ) | `[inline]`

get_id

Definition at line 239 of file thread.

template<typename _Rep , typename _Period >

void std::this_thread::sleep_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) | `[inline]`

sleep_for

Definition at line 258 of file thread.

References std::chrono::duration_cast().

Referenced by sleep_until().

template<typename _Clock , typename _Duration >

void std::this_thread::sleep_until | ( | const chrono::time_point< _Clock, _Duration > & | __atime | ) | `[inline]`

sleep_until

Definition at line 252 of file thread.

References sleep_for().

void std::this_thread::yield | ( |  | ) | `[inline]`

yield

Definition at line 244 of file thread.